.social-networks {
    position: fixed;
    top: 50%;
    right: -100px;
    width: 140px;
    transform: translateY(-50%);
}

.social-network {
    background-color: map-get($colors, 'green');
    border-radius: 25px 0 0 25px;
    padding: 10px 15px;
    transition: transform 0.5s;

    &:hover,
    &:focus {
        transform: translateX(calc(-100% + 40px));
    }

    &:last-of-type {
        margin-bottom: 0 !important;
    }

    &__icon {
        width: 30px;
    }
}
